/*
 * This File is one of the examples from Java Object Oriented Programming
 * Do not reproduce this code for others or use it in a commercial setting without prior permission from the author.
 */

package products;

/**
 *
 * @author Matthew Gregory
 * @website www.matthewgregory-author.com.au
 *
 */
public interface Item {
    //Abstract Methods
    public void enterDescription(String comment);
    public String getName();
    public double getPrice();
    public String getFormattedPrice();
    public void setPrice(double price);
    public void printProduct();
    public String getDescription();
}
